/**
 * Copyright (C) 2006-2007  NTT DATA CORPORATION
 * 
 * Version: 1.0.0 2007/04/01
 *  
 */
package net.cellcomputing.himawari.accessory.primitive;

/**
 * 
 * 
 * 
 * @author NTT DATA Corporation
 */
public strictfp class p_long {

	/**
     * float型の実体
     */
    public long value = 0L;
    
	/**
	 * コンストラクタ。デフォルト値は0
	 */
    public p_long(){
//        value = 0L;
    }
    
    /**
     * 初期値を与えるコンストラクタ
     * @param f 初期値
     */
    public p_long(long f){
        value = f;
    }

    /* (non-Javadoc)
     * @see java.lang.Object#toString()
     */
    @Override
    public String toString() {
    	return String.valueOf(value);
    }

}
